package com.jqtx.windows.common.utils;

import org.springframework.util.Base64Utils;

import javax.imageio.ImageIO;
import java.awt.*;
import java.io.*;

public class Base64ImgUtil {
    /**
     * 对BASE64字符串解码并保存成字节数组
     *
     * @param imgStr base64编码的字符串
     * @return 返回Base64解码后的字节数组
     */
    public static byte[] GenerateImageByte(String imgStr) {
        if (imgStr == null || ("").equals(imgStr))
            return null;
        try {
            // Base64解码
            byte[] bytes = Base64Utils.decodeFromString(imgStr);
            for (int i = 0, j = bytes.length; i < j; ++i) {
                if (bytes[i] < 0) {// 调整异常数据
                    bytes[i] += 256;
                }
            }
            return bytes;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * @param p_Str Base64编码的字符窜
     * @return byte[]类型的照片信息
     * @throws IOException
     */
    public static byte[] fromBase64(String p_Str) throws IOException {
        if (p_Str == null)
            return null;
        byte[] byteBuffer = Base64Utils.decodeFromString(p_Str);
        return byteBuffer;
    }

    /**
     * @param bytes byte[]类型的照片信息
     * @return Java Image对象。可以直接在java程序中绘制到UI界面
     */
    public static Image getImage(byte[] bytes) {
        if (bytes == null) {
            return null;
        }
        Image img = null;
        InputStream isPhoto = null;
        try {
            isPhoto = new ByteArrayInputStream(bytes);
            img = ImageIO.read(isPhoto);
        } catch (IOException e) {
            // TODO Auto-generated catch block
            e.printStackTrace();
        } finally {
            try {
                if (isPhoto != null) {
                    isPhoto.close();
                }
            } catch (IOException e) {
                // TODO Auto-generated catch block
                e.printStackTrace();

            }
        }
        return img;
    }
}
