package com.jqtx.windows.component.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.ObjectUtil;
import cn.hutool.extra.cglib.CglibUtil;
import com.jqtx.windows.common.exception.BizException;
import com.jqtx.windows.component.CreditComponent;
import com.jqtx.windows.component.model.CreditModel;
import com.jqtx.windows.infrastructure.enums.ExceptionCodeEnum;
import com.jqtx.windows.repository.entity.WindowsCredit;
import com.jqtx.windows.repository.entity.WindowsCreditExample;
import com.jqtx.windows.repository.mapper.WindowsCreditMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CreditComponentImpl implements CreditComponent {

    @Autowired
    private WindowsCreditMapper windowsCreditMapper;

    @Override
    public CreditModel getByOrderNo(String orderNo) {
        WindowsCreditExample example = new WindowsCreditExample();
        WindowsCreditExample.Criteria c = example.createCriteria();
        c.andOrderNoEqualTo(orderNo);
        example.setOrderByClause("id desc");
        List<WindowsCredit> list= windowsCreditMapper.selectByExample(example);
        if(CollectionUtil.isNotEmpty(list)){
            return list.stream().map(e-> CglibUtil.copy(e,CreditModel.class)).findFirst().get();
        }
        return null;
    }

    @Override
    public void insert(CreditModel model) {
        windowsCreditMapper.insertSelective(CglibUtil.copy(model,WindowsCredit.class));
    }

    @Override
    public void updateByOrderNo(String orderNo, CreditModel model) {
        WindowsCreditExample example = new WindowsCreditExample();
        WindowsCreditExample.Criteria c = example.createCriteria();
        c.andOrderNoEqualTo(orderNo);
        example.setOrderByClause("id desc");
        int i = windowsCreditMapper.updateByExampleSelective(CglibUtil.copy(model, WindowsCredit.class), example);
        if(i!=1){
            throw new BizException(ExceptionCodeEnum.SYSTEM_SQL_UPDATE_ERROR);
        }
    }
}
