package com.jqtx.windows.component.impl;

import cn.hutool.core.bean.BeanUtil;
import com.jqtx.windows.component.LoanComponent;
import com.jqtx.windows.component.model.LoanModel;
import com.jqtx.windows.repository.entity.WindowsLoan;
import com.jqtx.windows.repository.entity.WindowsLoanExample;
import com.jqtx.windows.repository.mapper.WindowsLoanMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LoanComponentImpl implements LoanComponent {

    @Autowired
    private WindowsLoanMapper windowsLoanMapper;

    @Override
    public LoanModel getByLoanNo(String loanNo) {
        WindowsLoanExample example = new WindowsLoanExample();
        WindowsLoanExample.Criteria criteria = example.createCriteria();
        criteria.andLoanNoEqualTo(loanNo);
        List<WindowsLoan> windowsLoans = windowsLoanMapper.selectByExample(example);
        return windowsLoans.stream().map(m -> BeanUtil.toBean(m, LoanModel.class)).findFirst().orElse(null);
    }

    @Override
    public int updateByLoanNo(LoanModel loanModel) {
        WindowsLoanExample example = new WindowsLoanExample();
        WindowsLoanExample.Criteria criteria = example.createCriteria();
        criteria.andLoanNoEqualTo(loanModel.getLoanNo());
        WindowsLoan windowsLoan = BeanUtil.toBean(loanModel, WindowsLoan.class);
        int i = windowsLoanMapper.updateByExampleSelective(windowsLoan, example);
        return i;
    }

    @Override
    public Boolean insert(LoanModel loanModel) {
        WindowsLoan windowsLoan = BeanUtil.toBean(loanModel, WindowsLoan.class);
        return windowsLoanMapper.insert(windowsLoan) > 0;
    }

    @Override
    public LoanModel getByOrderNo(String orderNo) {
        WindowsLoanExample example = new WindowsLoanExample();
        WindowsLoanExample.Criteria criteria = example.createCriteria();
        criteria.andOrderNoEqualTo(orderNo);
        List<WindowsLoan> windowsLoans = windowsLoanMapper.selectByExample(example);
        return windowsLoans.stream().map(m -> BeanUtil.toBean(m, LoanModel.class)).findFirst().orElse(null);
    }
}
