package com.jqtx.windows.component.impl;

import cn.hutool.core.bean.BeanUtil;
import com.jqtx.windows.component.LoanPlanComponent;
import com.jqtx.windows.component.model.LoanPlanModel;
import com.jqtx.windows.repository.entity.WindowsLoan;
import com.jqtx.windows.repository.entity.WindowsLoanExample;
import com.jqtx.windows.repository.entity.WindowsPlan;
import com.jqtx.windows.repository.entity.WindowsPlanExample;
import com.jqtx.windows.repository.mapper.WindowsPlanMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LoanPlanComponentImpl implements LoanPlanComponent {

    @Autowired
    private WindowsPlanMapper windowsPlanMapper;

    @Override
    public int insert(LoanPlanModel loanPlanModel) {
        WindowsPlan windowsPlan = BeanUtil.toBean(loanPlanModel, WindowsPlan.class);
        int i = windowsPlanMapper.insertSelective(windowsPlan);
        return i;
    }

    @Override
    public List<LoanPlanModel> getByLoan(String loanNo) {
        WindowsPlanExample example = new WindowsPlanExample();
        WindowsPlanExample.Criteria criteria = example.createCriteria();
        criteria.andLoanNoEqualTo(loanNo);
        List<LoanPlanModel> loanPlanModels = BeanUtil.copyToList(windowsPlanMapper.selectByExample(example), LoanPlanModel.class);
        return loanPlanModels;
    }

    @Override
    public int updateByLoanPlanModel(LoanPlanModel loanPlanModel) {
        WindowsPlanExample example = new WindowsPlanExample();
        WindowsPlanExample.Criteria criteria = example.createCriteria();
        criteria.andIdEqualTo(loanPlanModel.getId());
        WindowsPlan windowsLoan = BeanUtil.toBean(loanPlanModel, WindowsPlan.class);
        int i = windowsPlanMapper.updateByExampleSelective(windowsLoan, example);
        return i;
    }
}
