package com.jqtx.windows.component.seq.impl;


import com.jqtx.windows.common.utils.RedisUtils;
import com.jqtx.windows.component.seq.BizSeqNoConfig;
import com.jqtx.windows.component.seq.ISeqNoGenerateComponent;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.time.DateFormatUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Author: yexiaodong
 * @Date: 2018/5/21 17:17
 */
@Component
public class SeqNoGenerateComponentImpl implements ISeqNoGenerateComponent {

    @Autowired
    private RedisUtils redisUtils;


    @Override
    public String genCommonSeqNo(final String bizKey, final String prefix) {
        // int sequenceNo = getCurrentValue(bizKey);
        long sequenceNo = redisUtils.increment(":" + bizKey, 1);

        StringBuilder sb = new StringBuilder(prefix);
        sb.append(DateFormatUtils.format(new Date(), "yyyyMMdd"));
        sb.append(StringUtils.leftPad(Long.toString(sequenceNo % BizSeqNoConfig.NO_CIRCLE), 6,
                "0"));
        return sb.toString();
    }

}
