package com.jqtx.windows.infrastructure.enums;


public enum ExceptionCodeEnum {
    NOT_FOUND_ERROR("000000", "NOT_FOUND_ERROR", "错误码未定义"),
    SYSTEM_ERROR("000001", "SYSTEM_ERROR", "系统开小车了"),
    SYSTEM_AUTH_ERROR("000011", "SYSTEM_AUTH_ERROR", "系统异常,异常请求!"),
    SYSTEM_URL_ERROR("000012", "SYSTEM_URL_ERROR", "系统异常,未找到对应处理器!"),
    SYSTEM_SQL_UPDATE_ERROR("000002", "SYSTEM_SQL_UPDATE_ERROR", "系统异常！修改数据失败"),
    SYSTEM_SQL_INSERT_ERROR("000003", "SYSTEM_SQL_INSERT_ERROR", "系统异常！插入数据失败"),
    SYSTEM_SQL_SEARCH_ERROR("000004", "SYSTEM_SQL_SEARCH_ERROR", "系统异常！查询数据失败"),

    CURRENT_LIMIT_ERROR("100001", "CURRENT_LIMIT_ERROR", "流量限流,稍后重试!"),
    SERVICE_DEMO_ERROR("100002", "SERVICE_DEMO_ERROR", "服务降级,稍后重试!"),
    HOT_CHAR_ERROR("100003", "HOT_CHAR_ERROR", "热点参数限流,稍后重试!"),
    SYSTEM_FAIL_ERROR("100004", "SYSTEM_FAIL_ERROR", "系统规则(负载...不满足要求),稍后重试!"),
    ROLE_FAIL_ERROR("100005", "ROLE_FAIL_ERROR", "授权规则不通过,稍后重试!"),
    HTTP_METHOD_ERROR("100006", "HTTP_METHOD_ERROR", "接口请求方法异常"),
    HTTP_FAST_ERROR("100007", "HTTP_FAST_ERROR", "操作频繁，请稍后再试"),
    AUTH_LOGIN_ERROR("100008", "AUTH_LOGIN_ERROR", "登录失败,请核对一下信息哦"),


    BIZ_CREDIT_NOT_FOUND_ERROR("300008", "BIZ_CREDIT_NOT_FOUND_ERROR", "未查询到相关订单信息"),
    RESULT_NOT_FOUND_ERROR("300009", "RESULT_NOT_FOUND_ERROR", "结果未出,请稍等"),



    PARAMS_NULL("200001", "PARAMS_NULL", "参数为空"),
    PARAMS_ILLEGAL("200002", "PARAMS_ILLEGAL", "参数异常，请检查"),
    SYSTEM_REMOTE_ERROR("300001", "REMOTE_ERROR", "系统开小车了,服务异常"),
    ;





    private String code;

    private String message;

    private String messageCN;

    private ExceptionCodeEnum(String code, String message, String messageCN) {
        this.code = code;
        this.message = message;
        this.messageCN = messageCN;
    }

    public static ExceptionCodeEnum getByCode(String code) {
        for (ExceptionCodeEnum e : ExceptionCodeEnum.values()) {
            if (code.equals(e.getCode())) {
                return e;
            }
        }
        return NOT_FOUND_ERROR;
    }

    public String getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public String getMessageCN() {
        return messageCN;
    }

    public String code() {
        return this.code;
    }

    public String desc() {
        return this.messageCN;
    }

    public Number value() {
        return null;
    }
}
