package com.jqtx.windows.infrastructure.feign;

import com.jqtx.windows.component.model.LoanCreditSubmitModel;
import com.jqtx.windows.infrastructure.feign.hytric.IWakandaFeignServiceHystric;
import com.jqtx.windows.infrastructure.feign.model.wakanda.ClientInfoModel;
import com.jqtx.windows.infrastructure.feign.model.wakanda.LoanCreditModel;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;


@FeignClient(value = "service-wakanda", fallback = IWakandaFeignServiceHystric.class)
public interface IWakandaFeignService {

    @PostMapping(value = "/credit/clientCredit")
    JsonResult clientCredit(ClientInfoModel clientCertModel);

    @PostMapping(value = "/credit/loanCredit")
    JsonResult<Boolean> loanCredit(@RequestBody LoanCreditSubmitModel loanCreditSubmitModel);
}
