package com.jqtx.windows.infrastructure.feign.enums;


import org.apache.commons.lang3.StringUtils;

public enum DebtPlanStatusEnum {

    BACKING("BACKING", " 回款中"),

    SETTLED("SETTLED", "已结清"),

    OVERDUED("OVERDUED", "已逾期"),;

    /**
     * 枚举编号
     */
    private String code;

    /**
     * 枚举详情
     */
    private String message;

    /**
     * @param code
     * @param message
     */
    private DebtPlanStatusEnum(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public static String getMessage(String code) {
        for (DebtPlanStatusEnum loanEnum : DebtPlanStatusEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum.getMessage();
            }
        }
        return null;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
