package com.jqtx.windows.infrastructure.feign.enums;

import org.apache.commons.lang3.StringUtils;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

public enum ProductNameEnum {
    ZN_DAI("ZN_DAI","service-zn","浙农");

    private String code;

    private String biz;

    private String message;

    public String getBiz() {
        return biz;
    }

    public void setBiz(String biz) {
        this.biz = biz;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    private ProductNameEnum(String code,String biz, String message) {
        this.biz = biz;
        this.message = message;
        this.code = code;
    }

    public static List<String> productList(){
        return Arrays.stream(ProductNameEnum.values()).map(e->e.getCode()).collect(Collectors.toList());
    }

    public static String getMessage(String code) {
        for (ProductNameEnum loanEnum : ProductNameEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum.getMessage();
            }
        }
        return null;
    }

    public static ProductNameEnum getByCode(String code) {
        for (ProductNameEnum loanEnum : ProductNameEnum.values()) {
            if (StringUtils.equals(loanEnum.getCode(), code)) {
                return loanEnum;
            }
        }
        return null;
    }
}
