package com.jqtx.windows.infrastructure.feign.enums;

/**
 * @program: asgard
 * @description:
 * @author: zq
 * @create: 2019-12-20 14:06
 **/
public enum SmsTemplateEnum {
    /**
     * 通知放款成功模板
     */
    RAISE_SUCCESS_SMS("RAISE_SUCCESS_SMS", "尊敬的${clientName}先生/女士,您申请的借款${raiseAmt}元已发放，请注意查收。您的首期还款日为${Date}，请您按时还款。贷款期间如果有其他机构或个人利用${appName}以任何形式向您收取费用， 请您及时联系我们400-6798-668。"),
    /**
     * 授信审核通过
     */
    CREDIT_SUCCESS_SMS("CREDIT_SUCCESS_SMS", "您的申请已通过审核，获得可提现金额${creditAmt}元，请尽快提现。具体提现资格以APP显示为准。如有疑问，请拨打客服热线400-6798-668"),
    /**
     * 授信审核拒绝
     */
    CREDIT_REFUSE_SMS("CREDIT_REFUSE_SMS", "您好，您在${appName}的授信未通过审核，我们暂时无法给您提供金融服务。"),
    /**
     * 还款提醒
     */
    BACKED_SMS("BACKED_SMS", "尊敬的${clientName}先生/女士，您的本期还款日为${Date}，应还总金额为${payAmt}元。请按时还款或提前将资金存入您尾号为${bankCode}的${bankName}卡。如已还款，请忽略。如有疑问，请拨打客服热线400-6798-668。"),
    /**
     * 还款成功提醒
     */
    BACKED_SUCCESS_SMS("BACKED_SUCCESS_SMS", "尊敬的${clientName}先生/女士,您于${Date}成功还完第${planIndex}期${payAmt}元。"),
    /**
     * 提前结清提醒
     */
    SETTLE_ALL_SMS("SETTLE_ALL_SMS", "尊敬的${clientName}先生/女士,您于${Date}成功还款${payAmt}元，该笔借款已全部结清。"),
    /**
     * 还款日当天代扣失败
     */
    BACKED_FAIL_SMS("BACKED_FAIL_SMS", "尊敬的${clientName}先生/女士,您的本期还款日为${Date}，应还总金额${payAmt}元，您尾号为${bankCode}的${bankName}卡扣款失败，请尽快还款或将资金存入该卡，以免造成逾期。逾期会影响您的芝麻信用分和人行征信，请务必注意。如已还款，请忽略。如有疑问，请拨打客服热线400-6798-668。"),
    /**
     * 逾期提醒
     */
    OVER_DUE_SMS("OVER_DUE_SMS", "尊敬的${clientName}先生/女士,截止${Date}，我们尚未收到您的还款，为避免影响您的信用记录，请登录${appName}进行主动还款或将资金存入您尾号为${bankCode}的${bankName}卡，本息合计${payAmt}元。如需帮助，请拨打客服热线400-6798-668。"),

    /**
     * 部分还款
     */
    PART_BACKED_SMS("PART_BACKED_SMS", "尊敬的${clientName}先生/女士,您于${Date}成功还款${payAmt}元，本期剩余金额${leftAmt}元。"),
    /**
     * 登录
     */
    LOGIN("LOGIN", "登录验证码:${code},工作人员不会向您索要，请勿提供给任何人，以免资金损失。"),

    /**
     * 还款
     */
    BACKED_SEND_SMS("BACKED_SEND_SMS", "还款验证码:${code},工作人员不会向您索要，请勿提供给任何人，以免资金损失。"),

    /**
     * 亲家还款提醒
     */
    QINJIA_BACKED_SMS("QINJIA_BACKED_SMS", "尊敬的${clientName}先生/女士，您的本期还款日为${Date}，应还金额为${payAmt}元。请在还款日当天16点前完成还款。您可主动还款或提前将资金存入您尾号为${bankCode}的${bankName}卡。逾期将按《征信业管理条例》规定如实上报。如已还款，请忽略。如有疑问，请拨打客服热线400-6798-668。"),

    /**
     * 亲家还款提醒-还款日当天16点后通知
     */
    QINJIA_BACKED_TODAY_SMS("QINJIA_BACKED_TODAY_SMS", "尊敬的${clientName}先生/女士，今天是您本期的最后还款日，应还金额为${payAmt}元。您可主动还款或提前将资金存入您尾号为${bankCode}的${bankName}卡。系统将于晚上10点后关闭还款通道，请及时处理，逾期将按《征信业管理条例》规定如实上报。如已还款，请忽略。如有疑问，请拨打客服热线400-6798-668。"),

    /**
     * 提前结清退款告知
     */
    REFUND_NOTICE("REFUND_NOTICE", "尊敬的${clientName}先生/女士,您于${Date}的借款现已全部结清，我们将于1-3个工作日退还${refundAmt}元服务费用到您 ${bankCode} 账户，请注意查收。如有疑问，请咨询客服热线400-600-5998"),
    /**
     * 退款成功
     */
    REFUND_SUCCESS("REFUND_SUCCESS", "尊敬的${clientName}先生/女士,您的提前结清费用${refundAmt}元已退款成功，请注意查收。如有疑问可致电客服热线400-600-5998。"),

    ;

    private String tmpLateType;

    private String message;

    SmsTemplateEnum(String tmpLateType, String message) {
        this.message = message;
        this.tmpLateType = tmpLateType;
    }

    public String getTmpLateType() {
        return tmpLateType;
    }

    public void setTmpLateType(String tmpLateType) {
        this.tmpLateType = tmpLateType;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
